Package org.eclipse.graphiti.pattern.config

# Interface IIndentConfiguration

All Superinterfaces:
  `IPatternConfiguration`

public interface IIndentConfiguration extends IPatternConfiguration
The Interface IIndentConfiguration.

## Method Summary

Modifier and Type
Method
Description
`int`
`getOuterIndentBottom()`
Gets the outer indent bottom.
`int`
`getOuterIndentLeft()`
Gets the outer indent left.
`int`
`getOuterIndentRight()`
Gets the outer indent right.
`int`
`getOuterIndentTop()`
Gets the outer indent top.
`void`
`setOuterIndentBottom(int outerIndentBottom)`
Sets the outer indent bottom.
`void`
`setOuterIndentLeft(int outerIndentLeft)`
Sets the outer indent left.
`void`
`setOuterIndentRight(int outerIndentRight)`
Sets the outer indent right.
`void`
`setOuterIndentTop(int outerIndentTop)`
Sets the outer indent top.

## Method Details

### getOuterIndentBottom

int getOuterIndentBottom()
Gets the outer indent bottom.

Returns:
  the outer indent bottom

### getOuterIndentLeft

int getOuterIndentLeft()
Gets the outer indent left.

Returns:
  the outer indent left

### getOuterIndentRight

int getOuterIndentRight()
Gets the outer indent right.

Returns:
  the outer indent right

### getOuterIndentTop

int getOuterIndentTop()
Gets the outer indent top.

Returns:
  the outer indent top

### setOuterIndentBottom

void setOuterIndentBottom(int outerIndentBottom)
Sets the outer indent bottom.

Parameters:
  `outerIndentBottom` - the new outer indent bottom

### setOuterIndentLeft

void setOuterIndentLeft(int outerIndentLeft)
Sets the outer indent left.

Parameters:
  `outerIndentLeft` - the new outer indent left

### setOuterIndentRight

void setOuterIndentRight(int outerIndentRight)
Sets the outer indent right.

Parameters:
  `outerIndentRight` - the new outer indent right

### setOuterIndentTop

void setOuterIndentTop(int outerIndentTop)
Sets the outer indent top.

Parameters:
  `outerIndentTop` - the new outer indent top